<div class="container text-center">
  <div class="row">
    <div class="col-md-12">
      <div class="page-header">
        <h1>{{title}}</h1>
      </div>
      <p class="lead">{{description}}</p>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6">
      <button class="btn btn-default" type="button" (click)="firstChildComponent.myText=' First child component goes here. '">Set first child component text</button>
      <button class="btn btn-default" type="button" (click)="firstChildComponent.onChildMessage.subscribe(onFirstChildComponentMessageReceived)">Set first child component message output
      </button>
    </div>
    <div class="col-md-6">
      <button class="btn btn-default" type="button" (click)="setSecondChildComponentProperties()">Set second child component properties</button>
    </div>
  </div>
  <div class="row">
<div class="col-md-6 well well-sm" my-child-comp #firstChildComponent></div>
<div class="col-md-6 well well-sm" my-child-comp id="secondChildComponent"></div>
</div>
  <div class="row">
    <div class="col-md-12">
      <div class="well wellsm">
        <p>Last message from child components: <strong>{{lastMessage}}</strong>
        </p>
      </div>
    </div>
  </div>
</div>
